import java.awt.*; 
import java.awt.event.*; 
import javax.swing.*;
import java.util.*;

/*
  SceneFrame.java
    (c)1999-2005 SSC Development Team
  Functions: 
  -Managing Cutscenes, Intros and Outros.
  Allowed Dependencies: Lib_Image
*/

public class SceneFrame extends JFrame 
            implements  ActionListener, KeyListener, 
                  WindowFocusListener
{
  
  Container c = getContentPane(); 
    
  Timer timer;
  private JTextField prompt;
  
  private Vector<Image> frames;  

  public SceneFrame(String filename) {
    Properties scenefile = Lib_Util.ReadProperties(filename);
    
    int i = 0;
    while(!frame.equals("none")) {
     
      String frame = scenefile.getProperty("frame."+i,"none");
      if(!frame.equals("none")) {
        frames.addElement(Lib_Image.getImage(frame));
      }  
      
    }
    
    
  }
  
  public void paintComponent(Graphics g) {
    g.drawImage(frames.elementAt(0),0,40,this);
  }  
}
