import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.io.*;
import java.util.*;

/*
	Shiny_Sword.java
  	(c)1999-2008 SSC Development Team
	Functions:
	-Initializing the game. Main program.
	Allowed Dependencies: Any
*/

class Shiny_Sword {

	public static void main(String args[]) {

		System.out.println("Starting Shiny_Sword...");

    // Set in-game fonts
    Buffer.smalltxt = new Font("Dialog", Font.PLAIN, 8);
    Buffer.normaltxt = new Font("Dialog", Font.PLAIN, 10);
    Buffer.italictxt = new Font("Dialog", Font.ITALIC, 12);

    // add trivial images
    Buffer.setObsImage(new ImageIcon("interface/tile_obstructed.gif").getImage()); //temp
    Buffer.setFlashImage(new ImageIcon("interface/flashtile_1.png").getImage(),
                         new ImageIcon("interface/flashtile_2.png").getImage());
    Buffer.setAtkRangeImage(new ImageIcon("interface/atkrangetile_1.png").getImage(),
                            new ImageIcon("interface/atkrangetile_2.png").getImage());

		System.out.println("Loading settings.cfg...");

    Lib_Util.configInit();

		System.out.println("Initializing tiles & map array.");

    //Lib_Util.loadMap("start");

		System.out.println("Initializing sound.");



		System.out.println("Launching interface. Happy playing!");



    Buffer.firstPlayer();

    /* Initializing Jukebox */
    //int type = Lib_Util.initScriptFile("maps\\start.scriptfile");
    //Buffer.map_type = type;
    Buffer.map_type = 0;
    Buffer.currentMusic = "music/grotto1.mid";
    JukeBox.Init();

                System.out.println("Parsing your itemfile. . .");
    Lib_Util.initItemFile();

                System.out.println("Parsing your shopfile. . .");
    Lib_Util.initShopFile();

                System.out.println("Parsing your partyfile. . .");
    Lib_Util.initPartyFile();


    Lib_Map.initMap(3,new JFrame(),"intro");


    //BattleFrame main = new BattleFrame(Buffer.getCurMap());
		//main.setTitle("Shiny Sword");
		//main.setSize(365, 265);
    //main.setSize((int)(360*Buffer.ScaleRatio+5), (int)(240*Buffer.ScaleRatio+25));
		//main.setResizable(false);
		//main.setVisible(true);

    //JukeBox.PlayWalkTune();
	}
}
