import java.awt.*; import javax.swing.*; import java.awt.event.*; 

/*
	ResizeDialog.java
  	(c)1999-2003 SSC Development Team
	Functions: 
	-Managing the Resize Map Dialog (doh!).
	Allowed Dependencies: Buffer.java, WalkMap.java
*/

public class ResizeDialog extends JDialog implements ActionListener
{

	JSpinner wider, higher;
	Container c = this.getContentPane();

	public ResizeDialog(Frame owner, String title)
	{
	super(owner,title);
	this.setSize(270, 90);

	wider = new JSpinner();
	wider.setValue(new Integer(Buffer.getCurMap().getWidth()));
	
	higher = new JSpinner();
	higher.setValue(new Integer(Buffer.getCurMap().getHeight()));
	
	c.setLayout(new GridLayout(3,2));
	
	c.add(new JLabel("New Map Width:"));
	c.add(wider);
	c.add(new JLabel("New Map Height: "));
	c.add(higher);
	
	JButton okay = new JButton("okay");
	okay.setActionCommand("okay");
	c.add(okay);
	
	okay.addActionListener(this);
	this.setVisible(true);
	}
	
	
	public void actionPerformed(ActionEvent e)
	{
	if("okay".equals(e.getActionCommand()))	{
		
		Integer i = (Integer) wider.getValue();
		int ii = i.intValue();
		Integer j = (Integer) higher.getValue();
		int jj = j.intValue();
		
		Buffer.getCurMap().resize(ii,jj);
		
		this.dispose();
		}
	}	
}