import java.awt.*; import javax.swing.*; import java.io.*;
import java.awt.event.*; import java.awt.geom.*;
import java.awt.image.*; import javax.imageio.*;

/*
  Shop.java
  (c)1999-2005 SSC Development Team
  uses Items.java  Party.java
*/

public class Shop extends JPanel
{

 static int squarePlace=0;
 static int menuplace=2;

 static int nextplace=3;
 static int altnextplace=3;
 static int lastplace=3;

 public static int doonce1=0;
 public static int doonce2=0;

 static int memberPlace=0;
 static int itemPlace=1;

 static String buysell="BUY";
 static String yesno="Yes";
 static String theTown;   //this needs to be brought in as the map name

 static Color squareColor;
 static Font boldFont;
 static Font normalFont;
 static Font smallFont;

 public static int snum;
 public static Shops theshop;

 public static Items[] wep;
 public static int weaponcount;
 public static int partycount;
 public static String message1;

 public static int chosenPrice;

 public static void showshop(Graphics g,String theTown)
 {

   while(doonce2==0)
   {

    partycount=Buffer.Party.size();
    //memb[x]=Buffer.Party.elementAt(i);

    squareColor=Color.red;

    boldFont=new Font("Arial", Font.BOLD, 8);
    smallFont=new Font("Arial", Font.BOLD, 8);
    doonce2=1;
   }

  if(menuplace==2)
  {
   Lib_Image.textBox(g, "Hi there, what can I do you for?");
   nextplace=3;
  }
  else if(menuplace==3)
  {
   buyMenu(g,buysell);
   nextplace=5;//check
   altnextplace=50;
  }
  else if(menuplace==4)
  {
   Lib_Image.textBox(g, "Nice doing business with you!");
  }
  else if(menuplace==5)
  {
   Lib_Image.textBox(g, "What exactly are you interested in?");

   Lib_Image.drawWindow(g, 295, 200, 60, 35);
   g.setColor(Color.white);
   g.setFont(boldFont);
   String thegold;
   thegold=""+Buffer.gold+"";
   g.drawString("GOLD", 300, 212);
   g.drawString(thegold, 330, 226);

   wepMenu(g,squarePlace,theTown); //theTown needs to have been brought in as the mapname

   nextplace=6;
   lastplace=3;
  }
  else if(menuplace==6)
  {
   Lib_Image.textBox(g, "The "+wep[squarePlace].wname+" costs "+wep[squarePlace].wprice+" gold, do you want it?");
   yesnoMenu(g,yesno);

   doonce1=0;

   nextplace=10;
   altnextplace=7;
   lastplace=7;
  }
  else if(menuplace==7)
  {
   Lib_Image.textBox(g, "Oh well, you're missing out.");
  }
  else if(menuplace==8)
  {
   //need to check to see if you have enough gold.
   while(doonce1==0)
   {
    if(Buffer.gold>=wep[squarePlace].wprice)
    {
    //we need to do this just once, it seems to be doing it over and over again.
     //update their gold
     Buffer.gold=((Buffer.gold)-(wep[squarePlace].wprice));

     //give them the weapon
     if(Buffer.Party.elementAt(memberPlace).item1.equals("empty")==true)
     {
      Buffer.Party.elementAt(memberPlace).item1=wep[squarePlace].wcallname;
     }
     else if(Buffer.Party.elementAt(memberPlace).item2.equals("empty")==true)
     {
      Buffer.Party.elementAt(memberPlace).item2=wep[squarePlace].wcallname;
     }
     else if(Buffer.Party.elementAt(memberPlace).item3.equals("empty")==true)
     {
      Buffer.Party.elementAt(memberPlace).item3=wep[squarePlace].wcallname;
     }
     else
     {
      Buffer.Party.elementAt(memberPlace).item4=wep[squarePlace].wcallname;
     }
     message1="Great, you'll love it!";
    }
    else
    {
     message1="Uh oh, it seems you don't have enough gold.";
    }
    doonce1=1;
   }
   Lib_Image.textBox(g, message1);
  }
  else if(menuplace==9)
  { //item chosen - text before member list.
   Lib_Image.textBox(g, "Who's it for?");
  }
  else if(menuplace==10)
  { //list members to choose who should hold item
   membersMenu(g,memberPlace);
  }
  else if(menuplace==11)
  {   //if hands are full
   Lib_Image.textBox(g, "They're carrying too much already!  Let somebody else hold it?");
   yesnoMenu(g, yesno);
  }
  else if(menuplace==12)
  { //else hands not full if equippable
   Lib_Image.textBox(g, "Want to equip it?");
   yesnoMenu(g, yesno);
  }
  else if(menuplace==13)
  { //else hands not full else - not equippable
   Lib_Image.textBox(g, "They can't equip it, should they still hold it?");
   yesnoMenu(g, yesno);
  }
  else if(menuplace==50)
  { //sell menu start chit chat
   Lib_Image.textBox(g, "Whose and which item do you want to sell?");
  }
  else if(menuplace==51)
  {
   membersMenu(g,memberPlace);
  }
  else if(menuplace==52)
  {

   while(true)
   {  //this loops simply ensures you don't start selected on an empty item.
    if(Buffer.Party.elementAt(memberPlace).item1!="empty" && itemPlace==1)
    {
     break;
    }
    if(Buffer.Party.elementAt(memberPlace).item2!="empty" && itemPlace==2)
    {
     break;
    }
    if(Buffer.Party.elementAt(memberPlace).item3!="empty" && itemPlace==3)
    {
     break;
    }
    if(Buffer.Party.elementAt(memberPlace).item4!="empty" && itemPlace==4)
    {
     break;
    }
    if(itemPlace==4)
    {
     itemPlace=1;
    }
    else
    {
     itemPlace++;
    }
   }

   itemMenu(g,itemPlace);
  }
  else if(menuplace==53)
  {
   //GET THE X DETAILS
   int chooseItem;
   Items chosenItem;

   if(itemPlace==1)
   {
    chooseItem=Buffer.findItem(Buffer.Party.elementAt(memberPlace).item1);
   }
   else if(itemPlace==2)
   {
    chooseItem=Buffer.findItem(Buffer.Party.elementAt(memberPlace).item2);
   }
   else if(itemPlace==3)
   {
    chooseItem=Buffer.findItem(Buffer.Party.elementAt(memberPlace).item3);
   }
   else //itemPlace==4
   {
    chooseItem=Buffer.findItem(Buffer.Party.elementAt(memberPlace).item4);
   }

   chosenItem=Buffer.getItem(chooseItem);
   String thechosenItem;
   String thechosenPrice;

   thechosenItem=chosenItem.wname;
   chosenPrice=chosenItem.wprice/2;
   thechosenPrice=""+chosenPrice+"";

   Lib_Image.textBox(g, "I'll buy that "+thechosenItem+" for "+thechosenPrice+" gold.");
   yesnoMenu(g,yesno);
   doonce1=0;
  }
  else if(menuplace==54)
  {
   Lib_Image.textBox(g, "Oh well.");
  }
  else if(menuplace==55)
  {
   while(doonce1==0)
   {
    //change gold amount
    Buffer.gold=Buffer.gold+chosenPrice;

    //empty item slot from sold item.
    if(itemPlace==1)
    {
     Buffer.Party.elementAt(memberPlace).item1="empty";
    }
    else if(itemPlace==2)
    {
     Buffer.Party.elementAt(memberPlace).item2="empty";
    }
    else if(itemPlace==3)
    {
     Buffer.Party.elementAt(memberPlace).item3="empty";
    }
    else //itemPlace==4
    {
     Buffer.Party.elementAt(memberPlace).item4="empty";
    }
    doonce1=1;
   }

   Lib_Image.textBox(g, "It's a deal.");
  }
 }

 public static void makeBox(Graphics g, int x, int y, int w, int h)
 {
  Color bg=new Color(0,36,128);
  Color brownish=new Color(144,72,16);
  Color yellowish=new Color(248,216,88);
  g.setColor(bg);
  g.fillRoundRect(x, y, w, h, 4, 4);
  g.setColor(Color.black);
  g.drawRoundRect(x, y, w, h, 4, 4);
  g.setColor(brownish);
  g.drawRoundRect((x+1), (y+1), (w-2), (h-2), 4, 5);
  g.setColor(yellowish);
  g.drawRoundRect((x+2), (y+2), (w-4), (h-4), 4, 5);
  g.setColor(Color.white);
  g.drawRoundRect((x+3), (y+3), (w-6), (h-6), 4, 5);
  g.setColor(brownish);
  g.drawRoundRect((x+4), (y+4), (w-8), (h-8), 4, 5);
 }

public static void buyMenu(Graphics g, String selected)
 {

  Lib_Image.drawWindow(g, 290, 190, 50, 20);
  g.setColor(Color.white);
  g.setFont(boldFont);
  g.drawString(selected, 298, 203);

  Image buyImage;
  Image sellImage;
  Image repairImage;
  Image dealsImage;
  Image interImage;

  if(selected=="BUY")
  {
   buyImage=Lib_Image.getImage("interface\\i_buy1.gif");
   sellImage=Lib_Image.getImage("interface\\i_sell2.gif");
  }
  else
  {
   buyImage=Lib_Image.getImage("interface\\i_buy2.gif");
   sellImage=Lib_Image.getImage("interface\\i_sell1.gif");
  }

   repairImage=Lib_Image.getImage("interface\\i_repair2.gif");
   dealsImage=Lib_Image.getImage("interface\\i_deals2.gif");
   interImage=Lib_Image.getImage("interface\\b_menuback.gif");

  g.drawImage(buyImage, 180, 176, null);
  g.drawImage(sellImage, 180, 200, null);
  g.drawImage(repairImage, 156, 188, null);
  g.drawImage(dealsImage, 204, 188, null);
  g.drawImage(interImage, 156, 175, null);

 }

public static void yesnoMenu(Graphics g, String selected)
 {

  Lib_Image.drawWindow(g, 230, 153, 50, 20);
  g.setColor(Color.white);
  g.setFont(boldFont);
  g.drawString(selected, 238, 166);

  Image yesImage;
  Image noImage;

  if(selected=="Yes")
  {
   yesImage=Lib_Image.getImage( "interface/i_yes1.gif" );
   noImage=Lib_Image.getImage( "interface/i_no2.gif" );
  }
  else
  {
   yesImage=Lib_Image.getImage( "interface/i_yes2.gif" );
   noImage=Lib_Image.getImage( "interface/i_no1.gif" );
  }

  g.drawImage(yesImage, 160, 150, null);
  g.drawImage(noImage, 190, 150, null);

 }

public static void wepMenu(Graphics g, int selectedWep, String theTown)
 {

  Lib_Image.drawWindow(g, 5, 5, 350, 40);
  snum=Buffer.findShop(theTown,"weapons");     //need to change this to theTown
  weaponcount=Buffer.getShop(snum).totalitems;

   wep=new Items[weaponcount];

   int findthisitem;

   for(int i=0;i<weaponcount;i++)
   {
    findthisitem=Buffer.findItem(Buffer.getShop(snum).product[i]);
    wep[i]=Buffer.getItem(findthisitem);
   }

  int counter, counts;
  counter=0;
  int xpos;
  String countword;

  while(counter<weaponcount)
  {
   xpos=(counter+1)*25;
   Image theimage;
   theimage=Lib_Image.getImage( wep[counter].wimage );
   g.drawImage(theimage, xpos, 14, null);
   counter++;
  }

  int sx, sy, sw, sh;
  sx=((selectedWep*25)+23);
  sy=12;
  sw=19;
  sh=27;

  g.setColor(squareColor);
  g.drawRoundRect((sx), (sy), (sw), (sh), 4, 4);
  //g.drawRoundRect((sx+1), (sy+1), (sw-2), (sh-2), 4, 4);

  Lib_Image.drawWindow(g, sx, (sy+31), 70, 30);
  g.setColor(Color.white);
  g.setFont(boldFont);
  g.drawString(wep[selectedWep].wname, (sx+5), (sy+42));
  String theprice;
  theprice=""+wep[selectedWep].wprice+"";
  g.drawString(theprice, (sx+52), (sy+57));

 }


 public static void membersMenu(Graphics g, int selectedMemb)
 {

  Lib_Image.drawWindow(g,10,10,64,80); //portrait box
  Lib_Image.drawWindow(g,10, 90, 64, 35); //gold? box
  Lib_Image.drawWindow(g,74, 10, 276, 115); //items box
  Lib_Image.drawWindow(g,10, 125, 340, 105); //member list box

  //need a function that changes the portrait as you move
  Image myPortrait =  Lib_Image.getImage( "portraits/a_seolean.gif" );
  g.drawImage(myPortrait, 15,15,null);

  int counter, counts;
  counter=0;
  int ypos;
  g.setColor(Color.white);
  g.setFont(boldFont);


  g.drawString("NAME", 20, 138);
  if(buysell=="BUY")
  {
   g.drawString("ATTACK", 95, 138);
  }


  for(int i = 0; i < Buffer.Party.size(); i++)
  {
   ypos=(150+(i*12));


   if(buysell=="BUY")
   {
    String thestatchange;
    if(Buffer.Party.elementAt(i).weptype.equals(wep[squarePlace].wtype))
    {
     thestatchange="equippable";
    }
    else
    {
     thestatchange="unequippable";
    }
    g.drawString(thestatchange, 95, ypos);
   }


   g.drawString(Buffer.Party.elementAt(i).name, 20, ypos);

  }


  int sx, sy, sw, sh;
  sx=17;
  sy=(142+(selectedMemb*12));
  sw=65;
  sh=12;

  g.setColor(squareColor);
  g.drawRoundRect((sx), (sy), (sw), (sh), 4, 4);
  //g.drawRoundRect((sx+1), (sy+1), (sw-2), (sh-2), 6, 6);

  //draw character stats

  g.setColor(Color.white);
  g.drawString(Buffer.Party.elementAt(selectedMemb).classname, 80, 25);
  g.drawString(Buffer.Party.elementAt(selectedMemb).name, 140, 25);

  Items nowItem;
  int item1Int;
  int item2Int;
  int item3Int;
  int item4Int;
  //

  if(Buffer.Party.elementAt(selectedMemb).item1!="empty")
  {
   item1Int=Buffer.findItem(Buffer.Party.elementAt(selectedMemb).item1);
  }
  else
  {
   item1Int=0;
  }

  if(Buffer.Party.elementAt(selectedMemb).item2!="empty")
  {
   item2Int=Buffer.findItem(Buffer.Party.elementAt(selectedMemb).item2);
  }
  else
  {
   item2Int=0;
  }

  if(Buffer.Party.elementAt(selectedMemb).item3!="empty")
  {
   item3Int=Buffer.findItem(Buffer.Party.elementAt(selectedMemb).item3);
  }
  else
  {
   item3Int=0;
  }

  if(Buffer.Party.elementAt(selectedMemb).item4!="empty")
  {
   item4Int=Buffer.findItem(Buffer.Party.elementAt(selectedMemb).item4);
  }
  else
  {
   item4Int=0;
  }

  Image item1Image=Lib_Image.getImage( Buffer.getItem(item1Int).wimage );
  Image item2Image=Lib_Image.getImage( Buffer.getItem(item2Int).wimage );
  Image item3Image=Lib_Image.getImage( Buffer.getItem(item3Int).wimage );
  Image item4Image=Lib_Image.getImage( Buffer.getItem(item4Int).wimage );

  g.setColor(Color.white);
  g.setFont(smallFont);

  g.drawImage(item1Image, 140, 35, null);
  g.drawString(Buffer.getItem(item1Int).wname, 205, 40);
  g.drawImage(item2Image, 115, 46, null);
  g.drawString(Buffer.getItem(item2Int).wname, 205, 55);
  g.drawImage(item3Image, 165, 46, null);
  g.drawString(Buffer.getItem(item3Int).wname, 205, 70);
  g.drawImage(item4Image, 140, 63, null);
  g.drawString(Buffer.getItem(item4Int).wname, 205, 85);
 }

 public static void itemMenu(Graphics g, int selectedItem)
 {

  Lib_Image.drawWindow(g,10,10,64,80); //portrait box
  Lib_Image.drawWindow(g,10, 90, 64, 35); //gold? box
  Lib_Image.drawWindow(g,74, 10, 276, 115); //items box
  Lib_Image.drawWindow(g,10, 125, 340, 105); //member list box

  //need a function that changes the portrait as you move
  Image myPortrait =  Lib_Image.getImage( "portraits/a_seolean.gif" );
  g.drawImage(myPortrait, 15,15,null);


  int counter, counts;
  counter=0;
  int ypos;
  g.setColor(Color.white);
  g.setFont(boldFont);


  g.drawString("NAME", 20, 138);
  g.drawString("CLASS", 95, 138);


  for(int i = 0; i < Buffer.Party.size(); i++)
  {
   ypos=(150+(i*12));
   g.drawString(Buffer.Party.elementAt(i).name, 20, ypos);

  }

  //draw character stats
   g.setColor(Color.white);
  g.drawString(Buffer.Party.elementAt(memberPlace).name, 110, 25);

  Items nowItem;
  int item1Int;
  int item2Int;
  int item3Int;
  int item4Int;
  //

  if(Buffer.Party.elementAt(memberPlace).item1!="empty")
  {
   item1Int=Buffer.findItem(Buffer.Party.elementAt(memberPlace).item1);
  }
  else
  {
   item1Int=0;
  }

  if(Buffer.Party.elementAt(memberPlace).item2!="empty")
  {
   item2Int=Buffer.findItem(Buffer.Party.elementAt(memberPlace).item2);
  }
  else
  {
   item2Int=0;
  }

  if(Buffer.Party.elementAt(memberPlace).item3!="empty")
  {
   item3Int=Buffer.findItem(Buffer.Party.elementAt(memberPlace).item3);
  }
  else
  {
   item3Int=0;
  }

  if(Buffer.Party.elementAt(memberPlace).item4!="empty")
  {
   item4Int=Buffer.findItem(Buffer.Party.elementAt(memberPlace).item4);
  }
  else
  {
   item4Int=0;
  }

  Image item1Image=Lib_Image.getImage( Buffer.getItem(item1Int).wimage );
  Image item2Image=Lib_Image.getImage( Buffer.getItem(item2Int).wimage );
  Image item3Image=Lib_Image.getImage( Buffer.getItem(item3Int).wimage );
  Image item4Image=Lib_Image.getImage( Buffer.getItem(item4Int).wimage );

  g.setColor(Color.white);
  g.setFont(smallFont);

  g.drawImage(item1Image, 140, 35, null);
  g.drawString(Buffer.getItem(item1Int).wname, 205, 40);
  g.drawImage(item2Image, 115, 46, null);
  g.drawString(Buffer.getItem(item2Int).wname, 205, 55);
  g.drawImage(item3Image, 165, 46, null);
  g.drawString(Buffer.getItem(item3Int).wname, 205, 70);
  g.drawImage(item4Image, 140, 63, null);
  g.drawString(Buffer.getItem(item4Int).wname, 205, 85);


  int sx, sy, sw, sh;
  if(selectedItem==1)
  {
   sx=138;
   sy=33;
  }
  else if(selectedItem==2)
  {
   sx=113;
   sy=44;
  }
  else if(selectedItem==3)
  {
   sx=163;
   sy=44;
  }
  else
  {
   sx=138;
   sy=61;
  }

  sw=19;
  sh=27;

  g.setColor(squareColor);
  g.drawRoundRect((sx), (sy), (sw), (sh), 4, 4);
  //g.drawRoundRect((sx+1), (sy+1), (sw-2), (sh-2), 6, 6);

 }

}
