import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.io.*;

/*
	Smee.java
  	(c)1999-2003 SSC Development Team
	Functions: 
	-Initializing the Map Editing Environment.
	Allowed Dependencies: Any
*/

class Smee {
	
	public static void main(String args[]) {
		WalkMap cur_map;
		Tileset cur_tileset;
		
		System.out.println("Starting Smee..");
		
    System.out.println("Loading settings.cfg...");
    Lib_Util.configInit();
		
		System.out.println("Initializing tiles.");
    if((new File("tiles.gif")).exists()) {
      cur_tileset = new Tileset("tiles.gif");
		
		  System.out.println("Initializing map array.");
		  cur_map = new WalkMap(cur_tileset,25,25);
      Buffer.initializeTiles(cur_map);
		  Buffer.setObsImage(new ImageIcon("interface/tile_obstructed.gif").getImage());
      Buffer.setZoneImage(new ImageIcon("interface/tile_zoned.gif").getImage());
		
		  System.out.println("Launching interface. Happy playing!");
		  SmeeFrame main = new SmeeFrame(cur_map); 	
		}  
		else {
      System.out.println("Error: There's no tiles.gif in your class directory.\n This file is used as input for the default tileset, so make sure you readd this file!");
		}  
	}
}
